{{ $links := .Site.Params.links -}}
<footer class="td-footer row d-print-none">
  <div class="container-fluid">
    <div class="row mx-md-2">
      <div class="col-6 col-sm-4 text-xs-center order-sm-2">
        {{ with $links }}
        {{ with index . "user" }}
        {{ template "footer-links-block"  . }}
        {{ end }}
        {{ end }}
      </div>
      <div class="col-6 col-sm-4 text-end text-xs-center order-sm-3">
        <!-- OneTrust Cookies Settings button start -->

        <!-- OneTrust Cookies Settings button end -->
        {{ with $links }}
        {{ with index . "developer" }}
        {{ template "footer-links-block"  . }}
        {{ end }}
        {{ end }}
      </div>
      <div class="td-footer__copyright-etc col-12 col-sm-4 text-center py-2 order-sm-2">
        {{ with .Site.Params.copyright -}}
          <span>&copy; {{ now.Year }} {{ . }} {{ T "footer_all_rights_reserved" }}</span><br>
        {{- end }}
        {{ with .Site.Params.privacy_policy -}}
          <span class="ms-1 me-1"><a href="{{ . }}" target="_blank" rel="noopener"> {{ T "footer_privacy_policy" }}</a></span>
          <i class="me-1 fa-solid fa-ellipsis-vertical"></i>
          {{ if hugo.IsProduction -}}
          <!-- OneTrust Cookies Settings button start -->
          <span class="ms-1"><a href="#" class="ot-sdk-show-settings">Cookie Settings</a></span>
          <!-- OneTrust Cookies Settings button end -->
          {{ else -}}
          <script>console.log('Non-production cookie settings link');</script>
          {{- end }}
        {{- end }}

        {{ if not .Site.Params.ui.footer_about_disable -}}
          {{ with .Site.GetPage "about" -}}
            <span class="ms-1"><a href="{{ .RelPermalink }}">{{ .Title }}</a></span>
          {{- end -}}
        {{ end }}
      </div>
    </div>
  </div>
</footer>

{{- define "footer-links-block" }}
<ul class="td-footer__links-list">
  {{ range . }}
  <li class="td-footer__links-item" data-bs-toggle="tooltip" title="{{ .name }}" aria-label="{{ .name }}">
    <a target="_blank" rel="noopener" href="{{ .url }}" aria-label="{{ .name }}">
      <i class="{{ .icon }}"></i>
    </a>
  </li>
  {{ end }}
</ul>
{{ end -}}
